Home | Tutorials | Wiki | Issues
Ask Your Question
0

gazebo-2.2.6 failed to load Failed to load plugin libSimEventsPlugin.so

asked 2016-04-24 09:43:39 -0500

AgatheBA gravatar image

Hi everyone,

I am using gazebo-2.2.6. I wanted to learn more about plugins on gazebo. I tried testing the elevator example (http://gazebosim.org/tutorials?tut=el...). However, even if gazebo is launched when entering "gazebo worlds/elevator.world", the example does not work correctly, no event is triggered. I get the errors : Failed to load plugin libSimEventsPlugin.so: libSimEventsPlugin.so: cannot open shared object file: No such file or directory Error [Plugin.hh:149] Failed to load plugin libgazebo_ros_elevator.so: libgazebo_ros_elevator.so: cannot open shared object file: No such file or directory

I didn't find the ".so" files in my computer. Should I install some packages ? If so, which ones ?

Any suggestions ? Thank you in advance !

edit retag flag offensive close merge delete

1 Answer

Sort by ยป oldest newest most voted
0

answered 2016-04-24 17:03:30 -0500

If you notice on the tutorial page's top right, the elevator plugin only works from Gazebo 6 onwards, so you'll need to upgrade your version.

edit flag offensive delete link more
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2016-04-24 09:43:39 -0500

Seen: 2,290 times

Last updated: Apr 24 '16